Get Campaign Progress
curl --request GET \
--url https://app.dograh.com/api/v1/campaign/{campaign_id}/progress{
"campaign_id": 123,
"state": "<string>",
"total_rows": 123,
"processed_rows": 123,
"failed_calls": 123,
"progress_percentage": 123,
"source_sync": {},
"rate_limit": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Campaigns
Get Campaign Progress
Get the current progress of a campaign
GET
/
api
/
v1
/
campaign
/
{campaign_id}
/
progress
Get Campaign Progress
curl --request GET \
--url https://app.dograh.com/api/v1/campaign/{campaign_id}/progress{
"campaign_id": 123,
"state": "<string>",
"total_rows": 123,
"processed_rows": 123,
"failed_calls": 123,
"progress_percentage": 123,
"source_sync": {},
"rate_limit": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Returns a real-time snapshot of how many contacts have been processed.Documentation Index
Fetch the complete documentation index at: https://docs.dograh.com/llms.txt
Use this file to discover all available pages before exploring further.
| Field | Description |
|---|---|
total | Total number of contacts in the campaign |
processed | Contacts that have been attempted at least once |
completed | Contacts with a successful call outcome |
failed | Contacts that exhausted all retry attempts without success |
pending | Contacts not yet attempted |
completion_percentage | processed / total ร 100 |
Path Parameters
Response
Successful Response
โI